//
//  GLBubbleSymbolizer.h
//  GLGeometryKit
//
//  Created by Jeffrey Early on 3/12/09.
//  Copyright 2009 Early Innovations, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GLGeometryKit/GLGeometryKit.h>

// This symbolizer is designed such that it floats above all other geometries. It does not
// respect the order given by the MapView. It does this by adding a view directly to the
// MapView (drawContext).
// - The offset is added to a point's position, or simply taken as the position for a multipoint.

@class GLBubbleView;
@interface GLBubbleSymbolizer : GLSymbolizer {
	GLPoint offset;
	NSRect bubbleRect;
	id representedObject;
	IBOutlet NSView *view;
	GLBubbleView *bubbleView;
}

- (GLBubbleSymbolizer *) initWithNib: (NSString *) nibName forRepresentedObject: (id) anObject;

@property(nonatomic) GLPoint offset;
@property NSRect bubbleRect;
@property(strong) id representedObject;
@property(strong) NSView *view;
@property(strong) GLBubbleView *bubbleView;

@end
